#
# spec file for package 2ping
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           2ping
Summary:        Bi-directional ping utility
License:        GPL-2.0+
Group:          Productivity/Networking/Diagnostic
Version:        1397618874.f2c20471488c
Release:        4.1
Url:            http://www.finnie.org/software/2ping/
Source0:        %{name}-%{version}.tar.xz
Patch0:         2ping-fix-use-of-uninitialized-warning.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
Recommends:     perl(Digest::CRC)
Recommends:     perl(Digest::MD5)
Recommends:     perl(Digest::SHA)
Recommends:     perl(IO::Socket::INET6)
BuildArch:      noarch

%description
2ping is a bi-directional ping utility. It uses 3-way pings (akin to TCP SYN,
SYN/ACK, ACK) and after-the-fact state comparison between a 2ping listener and
a 2ping client to determine which direction packet loss occurs.

%prep
%setup -q
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files -f %{name}.files
%defattr(-,root,root)
%doc ChangeLog COPYING README

%changelog
* Fri Apr  3 2015 jslaby@suse.com
- update to 1397618874.f2c2047
- 2ping-fix-use-of-uninitialized-warning.patch: add
* Wed Nov 10 2010 jslaby@suse.de
- Initial package (version 1.0)
